
Foreman - Bug #26664

OpenStack 401 when project domain ID is missing

04/23/2019 02:31 PM - Lukas Zapletal

Status: Closed   

Priority: Normal   

Assignee: Lukas Zapletal   

Category: Compute resources - OpenStack   

Target version:    

Difficulty:  Fixed in Releases: 1.23.0

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/6706

  

Description

When creating new OpenStack CR against OSP v13 a permission denied (401) error is returned. I have narrowed this down to the

fact to missing flag openstack_domain_id.

When it's provided, the CR authenticates fine, since it is mentioned as mandatory for V3 in https://github.com/fog/fog-openstack this

patch is going to add it.

Related issues:

Related to Foreman - Feature #12054: Openstack v3 support Closed 10/05/2015

Related to Hammer CLI - Feature #26668: Add project_domain_name and project_d... Closed

Related to Foreman - Bug #27076: Compute Resource Openstack API v2/v3 mismatch New

Related to Foreman - Bug #28307: Openstack V3 compute resource broken Rejected

Associated revisions

Revision 047aca17 - 06/25/2019 02:09 PM - Lukáš Zapletal 

Fixes #26664 - adds OpenStack project domain (#6706)

History

#1 - 04/23/2019 02:32 PM - Lukas Zapletal

- Related to Feature #12054: Openstack v3 support added

#2 - 04/24/2019 06:40 AM - Lukas Zapletal

- Related to Feature #26668: Add project_domain_name and project_domain_id fields to Foreman module added

#3 - 04/24/2019 11:05 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/6706 added

#4 - 06/25/2019 02:09 PM - Marek Hulán

- Fixed in Releases 1.23.0 added

#5 - 06/25/2019 03:01 PM - Anonymous

- Status changed from Ready For Testing to Closed

Applied in changeset 047aca172fc824a2de9489ddb379bf609d49d964.

#6 - 11/19/2019 04:00 PM - Anthony Chevalet

- Related to Bug #27076: Compute Resource Openstack API v2/v3 mismatch added

#7 - 11/19/2019 06:40 PM - Anthony Chevalet

- Related to Bug #28307: Openstack V3 compute resource broken added
